import type { MantineColorScheme, MantineColorShade, MantineColorsTuple, MantineGradient, MantineTheme, VariantColorsResolver } from './theme.types';
export declare function getPrimaryShade(theme: MantineTheme, colorScheme: MantineColorScheme): MantineColorShade;
export interface RGBA {
    r: number;
    g: number;
    b: number;
    a: number;
}
export declare function toRgba(color: string): RGBA;
export declare function rgba(color: string, alpha: number): string;
export declare const alpha: typeof rgba;
export declare function darken(color: string, alphaValue: number): string;
export declare function lighten(color: string, alphaValue: number): string;
export declare function luminance(color: string): number;
export declare function isLightColor(color: string, luminanceThreshold?: number): boolean;
export declare function colorsTuple(input: string | string[]): MantineColorsTuple;
interface VirtualColorInput {
    dark: string;
    light: string;
    name: string;
}
export type VirtualColor = MantineColorsTuple & {
    'mantine-virtual-color': true;
    name: string;
    dark: string;
    light: string;
};
export declare function virtualColor(input: VirtualColorInput): MantineColorsTuple;
export declare function isVirtualColor(value: unknown): value is VirtualColor;
export interface ParseThemeColorResult {
    color: string;
    value: string;
    shade: MantineColorShade | undefined;
    variable: string | undefined;
    isThemeColor: boolean;
    isLight: boolean;
}
export declare function parseThemeColor({ color, theme, colorScheme, }: {
    color: unknown;
    theme: MantineTheme;
    colorScheme?: MantineColorScheme;
}): ParseThemeColorResult;
export declare function getThemeColor(color: string | undefined | null, theme: MantineTheme, colorScheme?: MantineColorScheme): string;
export declare function getGradient(gradient: MantineGradient | undefined, theme: MantineTheme): string;
export declare function getAutoContrastValue(autoContrast: boolean | undefined, theme: MantineTheme): boolean;
export declare function getContrastColor({ color, theme, autoContrast, }: {
    color?: string | null;
    theme: MantineTheme;
    autoContrast?: boolean | null;
}): "var(--mantine-color-white)" | "var(--mantine-color-black)";
export declare function getPrimaryContrastColor(theme: MantineTheme, colorScheme: 'light' | 'dark'): "var(--mantine-color-white)" | "var(--mantine-color-black)";
export declare const defaultVariantColorsResolver: VariantColorsResolver;
export {};
